$(document).ready(function () {
	removeJobToolBarItem();
	cancelIsReadHandleResult();
});

//初始化页面布局 覆盖原job.js中方法 将处理按钮放置到页面下方
function initializeJobPageLayout(){
	$('#jobPageTop').attr('position','bottom');
	//dropup==true 更多按钮向上展示
	$('#toolBar').data('dropup',true).removeClass('job-button-fixed-top').addClass('job-button-fixed-bottom');
	UICtrl.layout($("#jobPageLayout"), {heightDiff:-2,topHeight:40,bottomHeight:40,onSizeChanged:function(){
	   setHiTaskinstRelationsHeight();
	   onJobPageLayoutSizeChanged();
	}});
}

function removeJobToolBarItem(){
	$('#toolBar').toolBar('removeItem','transfer','sleep');
}

//添加加减签按钮
function addCounterSignToolButton(){
	$('#toolBar').toolBar('addItem',{ id: 'counterSign', remark: '加减签',name:'common.button.countersign', icon: 'fa-vcard-o', event: counterSign});
}

function getAdvanceAction(){
	var handleResult=getHandleResult();
	//流程不同意提交 调用回退到申请人方法
	if(handleResult==HandleResult.DISAGREE){
		return 'workflow/backToApplyActivity.ajax';
	}
	return 'workflow/advance.ajax';
}